{{#if (eq this.type "app-store")}}
  <AppStoreLink @space={{this.space}} @to={{this.link}} @isEditor={{@isEditor}} @newTab={{this.newTab}}
    @storeType={{this.storeType}} class={{page-col-class this.classes deviceSize=@deviceSize}}
    {{on "props-update" this.updateProps}} ...attributes />
{{else if @action}}
  <Input::Button @disabled={{@disabled}} @action={{@action}} @isEditor={{@isEditor}}
    class="btn {{unless this.hasContent "btn-empty"}} {{page-col-class this.classes deviceSize=@deviceSize}}"
    {{on "props-update" this.updateProps}} data-no-link="true" ...attributes>
    <ButtonPicture @isEditor={{@isEditor}} @deviceSize={{@deviceSize}} @value={{this.value}} @text={{this.name}} />
  </Input::Button>
{{else}}
  <Link @to={{this.link}} @space={{this.space}} @newTab={{this.newTab}} @isEditor={{@isEditor}}
    class="btn {{if (or (not this.hasContent) (not this.link)) "btn-empty"}} {{page-col-class this.classes deviceSize=@deviceSize}}"
    {{on "props-update" this.updateProps}} ...attributes>
    <ButtonPicture @isEditor={{@isEditor}} @deviceSize={{@deviceSize}} @value={{this.value}} @text={{this.name}} />
  </Link>
{{/if}}